package com.winsun.utils;

import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.ss.usermodel.IndexedColors;


public class TreeNodeData {

	private static TreeNode root;

	public static TreeNode getRoot() {
		return root;
	}

	private static void setRoot(TreeNode rootNode) {
		root = rootNode;
	}

	/**
	 * 移动订单表头
	 * @param actName
	 * @return
	 */
	public static TreeNode getMoveOrder(String actName){
		TreeNode treeNode0 =new TreeNode(-1,"", null);
		TreeNode treeNode =new TreeNode(0, actName, treeNode0);
		TreeNode treeNode1 =new TreeNode(1, "客户姓名","customer_name", treeNode);
		TreeNode treeNode2 =new TreeNode(2, "办理号码","business_number", treeNode);
		TreeNode treeNode3 =new TreeNode(3, "订单状态","order_status", treeNode);
		TreeNode treeNode4 =new TreeNode(4, "订单创建时间","create_time", treeNode);
		TreeNode treeNode5 =new TreeNode(5, "县分","hehuoren_area", treeNode);
		TreeNode treeNode6 =new TreeNode(6, "合伙人学校","hehuoren_school", treeNode);
		TreeNode treeNode7 =new TreeNode(7, "合伙人姓名","hehuoren_name", treeNode);
		TreeNode treeNode8 =new TreeNode(8, "合伙人手机","hehuoren_phone", treeNode);
		TreeNode treeNode9 =new TreeNode(9, "督导","supervisor_name", treeNode);
		TreeNode treeNode10 =new TreeNode(10, "订单类型","user_type", treeNode);
		TreeNode treeNode11 =new TreeNode(11, "办理套餐","kapin", treeNode);
		TreeNode treeNode12 =new TreeNode(12, "升级套餐","business_package", treeNode);
		TreeNode treeNode13 =new TreeNode(13, "联系号码","contact_number", treeNode);
		TreeNode treeNode14 =new TreeNode(14, "订单编号","order_number", treeNode);
		TreeNode treeNode15 =new TreeNode(15, "小白卡单号","xb_order_id", treeNode);
		TreeNode treeNode16 =new TreeNode(16, "预制卡单号","order_id", treeNode);
		TreeNode treeNode17 =new TreeNode(17, "收货地区","site", treeNode);
		TreeNode treeNode18 =new TreeNode(18, "详细地址","address", treeNode);
		TreeNode treeNode19 =new TreeNode(19, "配送方式","is_delivery", treeNode);
		TreeNode treeNode20 =new TreeNode(20, "快递公司","company", treeNode);
		TreeNode treeNode21 =new TreeNode(21, "快递单号","kuaidi_order", treeNode);
		TreeNode treeNode22 =new TreeNode(22, "白卡ICCID","business_iccid", treeNode);
		TreeNode treeNode23 =new TreeNode(23, "快递寄出时间","kuaidi_time", treeNode);
		TreeNode treeNode24 =new TreeNode(24, "订单完成时间","success_time", treeNode);
		TreeNode treeNode25 =new TreeNode(25, "用户学校","userSchool", treeNode);
		TreeNode treeNode26 =new TreeNode(26, "学生证审核","student_card_check_status", treeNode);
		TreeNode treeNode27 =new TreeNode(27, "父母名字","parent_name", treeNode);
		TreeNode treeNode28 =new TreeNode(28, "学号","student_number", treeNode);
		TreeNode treeNode29 =new TreeNode(29, "班级","class_number", treeNode);
		treeNode0.calLeavesAmount(treeNode0);
		treeNode0.calNodeLevel(treeNode0);
		return treeNode0;
	}

	/**
	 * 宽带订单表头
	 * @param actName
	 * @return
	 */
	public static TreeNode getBroadbandOrder(String actName){
		TreeNode treeNode0 =new TreeNode(-1,"", null);
		TreeNode treeNode =new TreeNode(0, actName, treeNode0);
		TreeNode treeNode1 =new TreeNode(1, "订单id","order_id", treeNode);
		TreeNode treeNode2 =new TreeNode(2, "订单编号","orderSeq", treeNode);
		TreeNode treeNode3 =new TreeNode(3, "产品名称","productName", treeNode);
		TreeNode treeNode4 =new TreeNode(4, "产品价格","webOrderAmount", treeNode);
		TreeNode treeNode5 =new TreeNode(5, "套餐","order_set_meal", treeNode);
		TreeNode treeNode6 =new TreeNode(6, "学校","order_university_name", treeNode);
		TreeNode treeNode7 =new TreeNode(7, "区域","order_region", treeNode);
		TreeNode treeNode8 =new TreeNode(8, "客户姓名","orderName", treeNode);
		TreeNode treeNode9 =new TreeNode(9, "联系电话","orderPhone", treeNode);
		TreeNode treeNode10 =new TreeNode(10, "订单状态","status", treeNode);
		TreeNode treeNode11 =new TreeNode(11, "备注","order_customer_remarks", treeNode);
		TreeNode treeNode12 =new TreeNode(12, "创建时间","orderDate", treeNode);
		TreeNode treeNode13 =new TreeNode(13, "支付平台","ipay", treeNode);
		TreeNode treeNode14 =new TreeNode(14, "支付方式","payType", treeNode);
		TreeNode treeNode15 =new TreeNode(15, "支付时间","order_payment_time", treeNode);
		TreeNode treeNode16 =new TreeNode(16, "穗易付订单号","orderReqtranSeq", treeNode);
		TreeNode treeNode17 =new TreeNode(17, "接入商","customeRid", treeNode);
		TreeNode treeNode18 =new TreeNode(18, "支付平台流水号","uptranseq", treeNode);
		TreeNode treeNode19 =new TreeNode(19, "智能平台订单号","orderSeqTHD", treeNode);
		treeNode0.calLeavesAmount(treeNode0);
		treeNode0.calNodeLevel(treeNode0);
		return treeNode0;
	}

}
